IdFunctionCall (rhino 1.7.15 API)

Package org.mozilla.javascript

## Interface IdFunctionCall

- All Known Implementing Classes:
    `ArrowFunction`, `BaseFunction`, `BoundFunction`, `ES6Generator`, `ES6Iterator`, `FunctionObject`, `Global`, `IdFunctionObject`, `IdFunctionObjectES6`, `IdScriptableObject`, `ImporterTopLevel`, `JavaAdapter`, `LambdaConstructor`, `LambdaFunction`, `ModuleScope`, `NativeArray`, `NativeArrayBuffer`, `NativeArrayBufferView`, `NativeArrayIterator`, `NativeCall`, `NativeCallSite`, `NativeCollectionIterator`, `NativeConsole`, `NativeContinuation`, `NativeDataView`, `NativeFloat32Array`, `NativeFloat64Array`, `NativeFunction`, `NativeGenerator`, `NativeGlobal`, `NativeInt16Array`, `NativeInt32Array`, `NativeInt8Array`, `NativeIterator`, `NativeIterator.StopIteration`, `NativeJavaConstructor`, `NativeJavaMethod`, `NativeJavaTopPackage`, `NativeMap`, `NativeObject`, `NativeRegExp`, `NativeSet`, `NativeStringIterator`, `NativeSymbol`, `NativeTypedArrayView`, `NativeUint16Array`, `NativeUint32Array`, `NativeUint8Array`, `NativeUint8ClampedArray`, `NativeWeakMap`, `NativeWeakSet`, `NativeWith`, `Require`, `TopLevel`, `XMLObject`

      public interface IdFunctionCall

  Master for id-based functions that knows their properties and how to execute them.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `execIdCall​(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` | 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned

- - ### Method Detail

    - #### execIdCall

          java.lang.Object execIdCall​(IdFunctionObject f,
                                      Context cx,
                                      Scriptable scope,
                                      Scriptable thisObj,
                                      java.lang.Object[] args)

      'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned